Package io.vertx.rxjava3.servicediscovery.types

## Class RedisDataSource

- java.lang.Object
- - io.vertx.rxjava3.servicediscovery.types.RedisDataSource

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class RedisDataSource
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Service type for Redis data source.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<RedisDataSource>` | `__TYPE_ARG` |
    `static String` | `TYPE` |
    `static String` | `UNKNOWN` | Unknown type.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RedisDataSource​(RedisDataSource delegate)` |
    `RedisDataSource​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Record` | `createRecord​(String name, JsonObject location, JsonObject metadata)` | Convenient method to create a record for a Redis data source.
    `boolean` | `equals​(Object o)` |
    `RedisDataSource` | `getDelegate()` |
    `static Single<Redis>` | `getRedisClient​(ServiceDiscovery discovery, JsonObject filter)` | Convenient method that looks for a Redis data source and provides the configured `Redis`.
    `static Single<Redis>` | `getRedisClient​(ServiceDiscovery discovery, JsonObject filter, JsonObject consumerConfiguration)` | Convenient method that looks for a Redis data source and provides the configured `Redis`.
    `static Single<Redis>` | `getRedisClient​(ServiceDiscovery discovery, Function<Record,​Boolean> filter)` | Convenient method that looks for a Redis data source and provides the configured `Redis`.
    `static Single<Redis>` | `getRedisClient​(ServiceDiscovery discovery, Function<Record,​Boolean> filter, JsonObject consumerConfiguration)` | Convenient method that looks for a Redis data source and provides the configured `Redis`.
    `int` | `hashCode()` |
    `static RedisDataSource` | `newInstance​(RedisDataSource arg)` |
    `static Single<Redis>` | `rxGetRedisClient​(ServiceDiscovery discovery, JsonObject filter)` | Convenient method that looks for a Redis data source and provides the configured `Redis`.
    `static Single<Redis>` | `rxGetRedisClient​(ServiceDiscovery discovery, JsonObject filter, JsonObject consumerConfiguration)` | Convenient method that looks for a Redis data source and provides the configured `Redis`.
    `static Single<Redis>` | `rxGetRedisClient​(ServiceDiscovery discovery, Function<Record,​Boolean> filter)` | Convenient method that looks for a Redis data source and provides the configured `Redis`.
    `static Single<Redis>` | `rxGetRedisClient​(ServiceDiscovery discovery, Function<Record,​Boolean> filter, JsonObject consumerConfiguration)` | Convenient method that looks for a Redis data source and provides the configured `Redis`.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<RedisDataSource> __TYPE_ARG

    - #### UNKNOWN

          public static final String UNKNOWN

      Unknown type.
      See Also:
        Constant Field Values

    - #### TYPE

          public static final String TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RedisDataSource

          public RedisDataSource​(RedisDataSource delegate)

    - #### RedisDataSource

          public RedisDataSource​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public RedisDataSource getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### createRecord

          public static Record createRecord​(String name,
                                            JsonObject location,
                                            JsonObject metadata)

      Convenient method to create a record for a Redis data source.
      Parameters:
        `name` - the service name
        `location` - the location of the service (e.g. url, port...)
        `metadata` - additional metadata
      Returns:
        the created record

    - #### getRedisClient

          public static Single<Redis> getRedisClient​(ServiceDiscovery discovery,
                                                     JsonObject filter)

      Convenient method that looks for a Redis data source and provides the configured `Redis`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
      Returns:
        a future notified with the client

    - #### rxGetRedisClient

          public static Single<Redis> rxGetRedisClient​(ServiceDiscovery discovery,
                                                       JsonObject filter)

      Convenient method that looks for a Redis data source and provides the configured `Redis`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
      Returns:
        a future notified with the client

    - #### getRedisClient

          public static Single<Redis> getRedisClient​(ServiceDiscovery discovery,
                                                     Function<Record,​Boolean> filter)

      Convenient method that looks for a Redis data source and provides the configured `Redis`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, cannot be `null`
      Returns:
        a future notified with the client

    - #### rxGetRedisClient

          public static Single<Redis> rxGetRedisClient​(ServiceDiscovery discovery,
                                                       Function<Record,​Boolean> filter)

      Convenient method that looks for a Redis data source and provides the configured `Redis`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, cannot be `null`
      Returns:
        a future notified with the client

    - #### getRedisClient

          public static Single<Redis> getRedisClient​(ServiceDiscovery discovery,
                                                     JsonObject filter,
                                                     JsonObject consumerConfiguration)

      Convenient method that looks for a Redis data source and provides the configured `Redis`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `consumerConfiguration` - The additional consumer configuration
      Returns:
        a future notified with the client

    - #### rxGetRedisClient

          public static Single<Redis> rxGetRedisClient​(ServiceDiscovery discovery,
                                                       JsonObject filter,
                                                       JsonObject consumerConfiguration)

      Convenient method that looks for a Redis data source and provides the configured `Redis`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `consumerConfiguration` - The additional consumer configuration
      Returns:
        a future notified with the client

    - #### getRedisClient

          public static Single<Redis> getRedisClient​(ServiceDiscovery discovery,
                                                     Function<Record,​Boolean> filter,
                                                     JsonObject consumerConfiguration)

      Convenient method that looks for a Redis data source and provides the configured `Redis`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, cannot be `null`
        `consumerConfiguration` - The additional consumer configuration
      Returns:
        a future notified with the client

    - #### rxGetRedisClient

          public static Single<Redis> rxGetRedisClient​(ServiceDiscovery discovery,
                                                       Function<Record,​Boolean> filter,
                                                       JsonObject consumerConfiguration)

      Convenient method that looks for a Redis data source and provides the configured `Redis`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, cannot be `null`
        `consumerConfiguration` - The additional consumer configuration
      Returns:
        a future notified with the client

    - #### newInstance

          public static RedisDataSource newInstance​(RedisDataSource arg)